package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class LDIV extends ArithmeticInstruction implements ExceptionThrower
{
    public LDIV() {
        super((short)109);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitExceptionThrower(this);
        v.visitTypedInstruction(this);
        v.visitStackProducer(this);
        v.visitStackConsumer(this);
        v.visitArithmeticInstruction(this);
        v.visitLDIV(this);
    }
    
    @Override
    public Class<?>[] getExceptions() {
        return new Class[] { ExceptionConst.ARITHMETIC_EXCEPTION };
    }
}
